<?php
// 最低必要なパラメータ。
// $ad_dirpath	広告を格納するディレクトリ。
// $ad_id		広告ID。0から(広告数)-1で指定。

require_once( 'AdInfo.php' );

// ページ内に配置する広告の数。
$ad_num = 5;

// ルートディレクトリ。
// 絶対パスかURLでないと読み込んでくれないことがあるので。
//$ad_rootpath = '';
//$ad_rootpath = '/home/(ユーザ名とか)/www/htdocs/logs/mt4/randomad';

// 広告IDが設定されていない場合は表示不可。
if ( !isset($ad_id) ) exit('Prease set ad_id.');
// 広告IDが広告数より大きい場合は表示不可。
if ( $ad_num - 1 < $ad_id ) exit('ad_id is invalid.');

// 広告情報のリストを作成。
if ( !isset($ad_list) ) {
	for ( $i = 0; $i < $ad_num; $i++ ) {
		$ad_list[] = new AdInfo();
	}
}

// 対象のインスタンスを取得。
$ad_inst = $ad_list[$ad_id];

// 未使用であれば使用中状態にする。
if ( $ad_inst->ad_is_active == 0 ) {

	// 使用中に設定。
	$ad_inst->ad_is_active = 1;

	// 公告テキストの格納ディレクトリを設定。
	if ( !isset($ad_dirpath) ) exit('Prease set directory.');
	if ( isset($ad_rootpath) ) {
		$ad_inst->ad_dirpath = $ad_rootpath . '/' . $ad_dirpath;
	} else {
		$ad_inst->ad_dirpath = $ad_dirpath;
	}

	// ディレクトリ内のファイル名を全て取得。
	$ad_inst->ad_dir = dir($ad_inst->ad_dirpath);
	while ( $file = $ad_inst->ad_dir->read() ) {
		if ($file != '.' && $file != '..') {// ディレクトリは除く。
			$ad_inst->ad_files[] = $file;
		}
	}
	$ad_inst->ad_dir->close();

	// スタイルを設定。
	$ad_inst->ad_align = isset($ad_align) ? $ad_align : null;
	$ad_inst->ad_width = isset($ad_width) ? $ad_width : null;
	$ad_inst->ad_height = isset($ad_height) ? $ad_height : null;
	$ad_inst->ad_margin = isset($ad_margin) ? $ad_margin : null;
	$ad_inst->ad_padding = isset($ad_padding) ? $ad_padding : null;
	$ad_inst->ad_background_color = isset($ad_background_color) ? $ad_background_color : null;
	$ad_inst->ad_custom = isset($ad_custom) ? $ad_custom : null;
}

// ファイルが1個もなければ終了。
if ( !isset($ad_inst->ad_files) ) exit( 'file not found.' );

// ファイルの数を数える。
$ad_inst->ad_filenum = count($ad_inst->ad_files);
if ( $ad_inst->ad_filenum == 0 ) exit( 'file not exists.' );

// 2番目からファイル数-1の間で乱数発生。
$ad_inst->ad_target = rand(0, $ad_inst->ad_filenum - 1);

// 表示するファイル名を決定。
if ( isset($ad_rootpath) ) {
	$ad_inst->ad_targetpath = $ad_inst->ad_dirpath . '/'. $ad_inst->ad_files[$ad_inst->ad_target];
} else {
	$ad_inst->ad_targetpath = $ad_inst->ad_dirpath . '/'. $ad_inst->ad_files[$ad_inst->ad_target];
}

// HTMLで出力。
echo "<!-- AD insert start-->\n";
//echo "<!-- ad_filenum : " . $ad_inst->ad_filenum . " -->\n";
//echo "<!-- ad_target : " . $ad_inst->ad_target . " -->\n";
//echo "<!-- ad_targetpath : " . $ad_inst->ad_targetpath . " -->\n";
echo '<div';
if ( isset($ad_inst->ad_align) ) { echo ' align="'. $ad_inst->ad_align . '" '; }
echo 'style="';
if ( isset($ad_inst->ad_width) ) { echo 'width:'. $ad_inst->ad_width . '; '; }
if ( isset($ad_inst->ad_height) ) { echo 'height:' . $ad_inst->ad_height . '; '; }
if ( isset($ad_inst->ad_margin) ) { echo 'margin:' . $ad_inst->ad_margin . '; '; }
if ( isset($ad_inst->ad_padding) ) { echo 'padding:' . $ad_inst->ad_padding . '; '; }
if ( isset($ad_inst->ad_background_color) ) { echo 'background-color:'. $ad_inst->ad_background_color . '; '; }
if ( isset($ad_inst->ad_custom) ) { echo $ad_inst->ad_custom; }
echo '">' . "\n";

include( $ad_inst->ad_targetpath );

echo "\r\n</div>";
echo "\r\n<!-- AD insert end-->";

// 表示済みのアイテムは削除。
for ( $i = $ad_inst->ad_target; $i < $ad_inst->ad_filenum - 1; $i++ ) {
	$ad_inst->ad_files[$i] = $ad_inst->ad_files[$i + 1];
}
if ( isset($ad_inst->ad_files) && count($ad_inst->ad_files) > 0 ) {
	array_pop($ad_inst->ad_files);
}
//print_r($ad_inst->ad_files);

// 対象のインスタンスを再設定。
// Notice : PHP4以前だと参照ではないらしいので再設定する。
$ad_list[$ad_id] = $ad_inst;
?>
